Author: Vasyl Gello <vasek.gello@gmail.com>
Forwarded: not-needed
Subject: Use system kissfft

---

--- /dev/null
+++ b/FindKissFFT.cmake
@@ -0,0 +1,25 @@
+#.rst:
+# FindKissFFT
+# ------------
+# Finds the KissFFT as a Fast fourier Transofrmation (FFT) library
+#
+# This will define the following variables:
+#
+# KISSFFT_FOUND       - system has KissFFT
+# KISSFFT_INCLUDE_DIR - the KissFFT include directory
+#
+
+find_package(PkgConfig)
+if(PKG_CONFIG_FOUND)
+  pkg_check_modules(PC_KISSFFT kissfft QUIET)
+endif()
+
+find_path(KISSFFT_INCLUDE_DIR kissfft/kiss_fft.h
+                          PATHS ${PC_KISSFFT_INCLUDEDIR})
+find_library(KISSFFT_LIBRARIES NAMES kissfft-float kissfft-int32 kissfft-int16 kissfft-simd
+                               PATHS ${PC_KISSFFT_LIBDIR})
+
+include(FindPackageHandleStandardArgs)
+find_package_handle_standard_args(KissFFT REQUIRED_VARS KISSFFT_INCLUDE_DIR)
+
+mark_as_advanced(KISSFFT_INCLUDE_DIR)
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -3,12 +3,11 @@
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})
 
+find_package(KissFFT REQUIRED)
 find_package(Kodi REQUIRED)
 find_package(glm REQUIRED)
 find_package(JsonCpp REQUIRED)
 
-add_subdirectory(lib/kissfft)
-
 if(NOT WIN32 AND (APP_RENDER_SYSTEM STREQUAL "gl" OR NOT APP_RENDER_SYSTEM))
   find_package(OpenGl REQUIRED)
   set(DEPLIBS ${OPENGL_LIBRARIES})
@@ -24,7 +23,7 @@
 include_directories(${GLM_INCLUDE_DIR}
                     ${JSONCPP_INCLUDE_DIRS}
                     ${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways
-                    ${PROJECT_SOURCE_DIR}/lib)
+                    ${KISSFFT_INCLUDE_DIR})
 
 list(APPEND DEPLIBS ${JSONCPP_LIBRARIES})
 
@@ -42,7 +41,7 @@
                       src/lodepng.h
                       src/main.h)
 
-list(APPEND DEPLIBS kissfft)
+list(APPEND DEPLIBS ${KISSFFT_LIBRARIES})
 
 build_addon(visualization.shadertoy SHADERTOY DEPLIBS)
 
